Subject: ENRON Lincoln 7 Generator Failure Status Report 10/03/00
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 3 Oct 2000 09:33:00 -0700 (PDT)

Attached is the executive summary and recommendations from GE's Root Cause 
Analysis (RCA) for the Lincoln #7 generator failure.  I recommend including 
it in the Due Diligence.

Mitch

 - ExecSumm10200.jpg
 - Summ&Recc10200.jpg